Loading...
Searching...
No Matches
ranges::actions::remove_if_fn Struct Reference

## Public Member Functions

template<typename C , typename P = identity> requires (!range<C>)
constexpr auto | operator() (C pred, P proj=P{}) const
template<typename Rng , typename C , typename P = identity> requires forward_range<Rng> && erasable_range<Rng &, iterator_t<Rng>, iterator_t<Rng>> && permutable<iterator_t<Rng>> && indirect_unary_predicate<C, projected<iterator_t<Rng>, P>>
Rng | operator() (Rng &&rng, C pred, P proj=P{}) const

## Related Symbols

(Note that these are not member symbols.)
constexpr remove_if_fn | remove_if {}